package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.WechatJsConfigVO;
import com.crunii.micro.feign.client.dto.WechatLoginDto;
import com.crunii.micro.feign.client.dto.WechatLoginVo;

import javax.servlet.http.HttpServletRequest;
import java.io.UnsupportedEncodingException;
import java.security.NoSuchAlgorithmException;
import java.util.Map;

/**
 * @author 15294
 */
public interface WechatService {
    String authorization(String url) throws UnsupportedEncodingException;

    String serverAuth(Map<String, String> map) throws NoSuchAlgorithmException;

    String getOpenId(String code);

    Result<WechatLoginVo> wechatLogin(HttpServletRequest request, WechatLoginDto code);

    Result<WechatJsConfigVO> getJsConfig(String url);
}
